<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<title>Mondrian</title>
</head>
<style>
	@import url('https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap');

	body {
		margin: 0;
		background-color: #0E0E0E;
	}

	.grid {
		display: grid;
		grid-template-columns: 3fr 1fr 3fr 2fr 2fr 3fr 3fr;
		grid-template-rows: 1fr 2fr 2fr repeat(5, 1fr);
		gap: 10px;
		width: 578px;
		margin: auto;
		margin-top: 95px;
		padding: 18px;
		background: #3e3e3e;

	}

	.grid .grid-box {
		display: grid;
		height: 100%;
		justify-items: center;
		align-items: center;
		font-family: 'Shadows Into Light', cursive;
		font-size: 40px;
		font-weight: bold;
		background-color: #fff;
		color: #fff;
		cursor: pointer;
	}

	.grid .grid-box:hover {
		background-color: green;
		color: #fff;
	}

	.grid .g-color-blue {
		background-color: #0D7FBE;
		color: #0D7FBE;
	}

	.grid .g-color-yellow {
		background-color: #FAE317;
		color: #FAE317;
	}

	.grid .g-color-black {
		background-color: #000;
		color: #000;
	}

	.grid .g-color-red {
		background-color: #F50F0F;
		color: #F50F0F;
	}

	.grid .box-1,
	.grid .box-21 {
		grid-column: span 2;
	}

	.grid .box-2 {
		grid-column: span 3;
	}

	.grid .box-5 {
		grid-row: span 1;
	}

	.grid .box-6 {
		grid-column: span 4;
		grid-row: span 2;
	}

	.grid .box-7 {
		grid-column: span 2;
		grid-row: span 1;
	}

	.grid .box-8 {
		grid-row: span 2;
	}

	.grid .box-11,
	.grid .box-16,
	.grid .box-17,
	.grid .box-20 {
		grid-column: span 2;
		grid-row: span 2;
	}

	.grid .box-12,
	.grid .box-13,
	.grid .box-15,
	.grid .box-18,
	.grid .box-19 {
		grid-column: span 2;
	}

	.grid .box-14 {
		grid-row: span 3;
	}
</style>

<body>
	<div class="grid">
		<div class="grid-box box-1">1</div>
		<div class="grid-box box-2">2</div>
		<div class="grid-box box-3 g-color-black">3</div>
		<div class="grid-box box-4">4</div>
		<div class="grid-box box-5">5</div>
		<div class="grid-box box-6 g-color-blue">6</div>
		<div class="grid-box box-7 g-color-yellow">7</div>
		<div class="grid-box box-8">8</div>
		<div class="grid-box box-9">9</div>
		<div class="grid-box box-10">10</div>
		<div class="grid-box box-11 g-color-black">11</div>
		<div class="grid-box box-12">12</div>
		<div class="grid-box box-13">13</div>
		<div class="grid-box box-14 g-color-yellow">14</div>
		<div class="grid-box box-15">15</div>
		<div class="grid-box box-16 g-color-red">16</div>
		<div class="grid-box box-17">17</div>
		<div class="grid-box box-18 g-color-black">18</div>
		<div class="grid-box box-19 g-color-yellow">19</div>
		<div class="grid-box box-20 g-color-blue">20</div>
		<div class="grid-box box-21">21</div>
		<div class="grid-box box-22">22</div>
		<div class="grid-box box-23 g-color-black">23</div>
		<div class="grid-box box-24 g-color-yellow">24</div>
	</div>
</body>

</html>